Bug 99265 - i965: Piglit egl_khr_gl_renderbuffer_image-clear-shared-image fails
Summary: i965: Piglit egl_khr_gl_renderbuffer_image-clear-shared-image fails
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Chad Versace
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-03 21:05 UTC by Chad Versace
Modified: 2019-03-13 00:56 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chad Versace 2017-01-03 21:05:40 UTC
On Mesa master@c4b87f12 with Intel Broadwell,
testing GL_RGBA fails and testing GL_DEPTH_COMPONENT24 crashes.

The GL_RGBA test changes from crash to fail at Mesa commit:

   commit fc78ee5da0e587295b78ea191353d463d4eac987
   Author: Ben Widawsky <ben@bwidawsk.net>
   Date:   Tue Dec 20 14:29:05 2016 +0000

       i965/miptree: Create a disable CCS flag

The GL_DEPTH_COMPONENT24 crash existed before that commit.
Comment 1 Chad Versace 2017-01-03 21:13:25 UTC
Piglit test is on the mailing list.
https://lists.freedesktop.org/archives/piglit/2017-January/021626.html
Comment 3 Mark Janes 2017-01-05 02:14:19 UTC
On the intel ci, the gl_depth_component24 test crashes intermittently.  I'll have to turn off the test until the fixes are pushed.
Comment 4 Mark Janes 2017-01-13 19:10:36 UTC
egl_khr_gl_image.egl_khr_gl_renderbuffer_image-clear-shared-image gl_rgba began failing intermittently in the CI, and is disabled.
Comment 5 Paul 2019-03-11 13:11:19 UTC
Hi Mark
I've run the tests on the latest version of master(19.1.0) and Mesa 18.2.2 on Broadwell (Ubuntu 18.0.4, Kernel 4.15.0) around 1000 times for each version and for each flag - tests successfully passed.
Also, I've run tests on the 13.1.0 version - as you said, tests are failed.
As far as I understood, tests are still disabled on CI - I think we can add them to the suite and check CI's results after run.
Comment 6 Mark Janes 2019-03-13 00:56:29 UTC
I agree that the tests are stable.  I've re-enabled them in i965 Mesa CI.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.